#include <iostream>
#include <algorithm>

using namespace std;

int main()
{
    string a[3], res;

    cin >> a[0] >> a[1] >> a[2];

    sort(a, a + 3);

    res = a[2] + a[1] + a[0];

    cout << res;

    return 0;
}